=== debian/changelog ===
make (3.79.1-1.potato.1) stable; urgency=low

  * This is an update for potato. There are no changes made since the
    update for woody 45 days ago. The old make did not honour the
    MAKEFILES variable, this closes: Bug#71261
  * I have heard rimours that the old make did not correctly build libc
    either, and one needs this version. I can't say for sure, since no bug
    was ever filed. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Sep 2000 14:04:10 -0500

make (3.79.1-1) unstable; urgency=low

  * New upstream release. closes: Bug#67862
    * .SECONDARY with no prerequisites now prevents any target from being
       removed because make thinks it's an intermediate file, not just those
       listed in the makefile.
    * New configure option --disable-nsec-timestamps will keep make from
      using sub-second timestamps on systems which support it.  If your
      build process depends on proper timestamp-preserving behavior of tools
      like "cp -p" you might need this option, since "cp -p" (right now)
      doesn't preserve the sub-second portion of the timestamp.
  * Folded Adam Heath's fix for $(shell). closes: #67568

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 28 Jul 2000 16:15:10 -0500

make (3.79-2.1) unstable; urgency=low

  * Set the first byte of buffer to 0, in func_shell.  Closes: #67568.

 -- Adam Heath <doogie@debian.org>  Fri, 21 Jul 2000 18:43:17 -0500

make (3.79-2) unstable; urgency=low

  * Hmm. Setting the install prefix to a relative value does not work; the
    locale files were not installed in debian/tmp/usr/share/locale, but
    locallyinto i18n/debian/tmp/usr/share/locale. This has been fixed
    now. closes: Bug#66237

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 12 Jul 2000 10:05:53 -0500

make (3.79-1) unstable; urgency=low

  * New upstream release, adds fixes already present in Debian. This
    closes: Bug#62619
    changes are: 
     * GNU make optionally supports internationalization and locales via
       the GNU gettext (or local gettext if suitable) package.  See the
       ABOUT-NLS file for more information on configuring GNU make for
       NLS.  
     * Previously, GNU make quoted variables such as MAKEFLAGS and
       MAKEOVERRIDES for proper parsing by the shell.  This allowed them to
       be used within make build scripts.  However, using them there is not
       proper behavior: they are meant to be passed to subshells via the
       environment.  Unfortunately the values were not quoted properly to be
       passed through the environment.  This meant that make didn't properly
       pass some types of command line values to submakes.
   
       With this version we change that behavior: now these variables are
       quoted properly for passing through the environment, which is the
       correct way to do it.  If you previously used these variables
       explicitly within a make rule you may need to re-examine your use for
       correctness given this change.     
     * A new psuedo-target .NOTPARALLEL is available.  If defined, the
       current makefile is run serially regardless of the value of -j.
       However, submakes are still eligible for parallel execution.
     * The --debug option has changed: it now allows optional flags
       controlling the amount and type of debugging output.  By default only
       a minimal amount information is generated, displaying the names of
       "normal" targets (not makefiles) were deemed out of date and in need
       of being rebuilt.
     
       Note that the -d option behaves as before: it takes no arguments and
       all debugging information is generated.     
     * The `-p' (print database) output now includes filename and linenumber
       information for variable definitions, to help debugging.
     * The wordlist function no longer reverses its arguments if the "start"
       value is greater than the "end" value.  If that's true, nothing is
       returned.
     * Hartmut Becker provided many updates for the VMS port of GNU make.
       See the readme.vms file for more details.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 28 Apr 2000 17:37:53 -0500

make (3.78.1-8) frozen unstable; urgency=low

  * Use absolute links when related links would not work, for the
    /usr/doc/ symlink.
  * Added a dependency on fileutiles >=4.0, since the package would fail
    to install with older fileutils.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 28 Mar 2000 01:58:05 -0600

make (3.78.1-7) frozen unstable; urgency=low

  * Fixed security fix to match upstream changes. Fixed an upgrade bug when
    /usr/doc happens to be a symlink, and does not point to
    /usr/share/doc. A couple of people were bitten by this.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Feb 2000 22:27:05 -0600

make (3.78.1-6) frozen unstable; urgency=high

  * Use mkstemp where available. This fixes a security bug in make. 
    The bug report does not seem to have made its way into the bts yet. 

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Feb 2000 18:07:20 -0600

make (3.78.1-5) frozen unstable; urgency=low

  * The postinst was vulnerable to being affected by symlinks (if, for
    some reason, the prerm failed). This has happended for latex2html; and
    created a grave bug. 
  * There was a bug in the postinst in a case statement, that caused
    installation to fail for certain situations.
  * Also fixed an lintian warning

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  8 Feb 2000 15:46:36 -0600

make (3.78.1-4) frozen unstable; urgency=low

  * Added a glibc fix to dir.c (the bug expressed itself as a wildards
    bug). Thaks go to  Richard B. Kreckel for spotting the bug, and to
    Andreas Jaeger and Joel Klecker for the solution.  Forwarded fix upstream.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  7 Feb 2000 01:18:30 -0600

make (3.78.1-3) unstable; urgency=low

  * Release to fold in NMU fixed bugs. closes: Bug#47686, #47362, #49137, #49381

