## make 3.80+3.81.b4-1

=== debian/changelog ===
make (3.80+3.81.b4-1) unstable; urgency=low

  * New upstream pre release
  * Bug fix: "FTBFS due to timestamp skews", thanks to Loïc Minier
    Use MAINTAINER_MODE instead.                        (Closes: #343069).
  * Bug fix: "make: Missing information about backward-incompatibility",
    thanks to Vincent Lefevre. As Ken Bloom pointed out, the correct
    section is command execution.                        (Closes: #343088).
  * Since there is a new texinfo.tex we use now, no longer remove it,
    since autoreconf shall fail if that file is missing.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 13 Dec 2005 22:43:19 -0600

make (3.80+3.81.b3.1-1) unstable; urgency=low

  * New upstream CVS HEAD (we are in a pre-release mode.
  * Bug fix: "make: new version breaks cdbs", thanks to Aurelien Jarno
                                                         (Closes: #342879).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 12 Dec 2005 13:38:47 -0600

make (3.80+3.81.b3-1) unstable; urgency=low

  * New upstream pre-release.
  * Bug fix: "make: continued command lines are not passed to the shell
    correctly", thanks to Jeff Sheinberg. This has been fixed in this release.
    (http://savannah.gnu.org/bugs/?func=detailitem&item_id=1332)  (Closes: #59311).
  * Bug fix: "make: bogus output of make -np", thanks to P�sztorSzil�rd I
    believe this bug is the result of a known, rare, and already-fixed
    problem with the parser that occurs if a line is exactly the right
    length.                                                      (Closes: #117566).
  * Bug fix: "make segfault with -t", thanks to Philipp Meier
    (https://savannah.gnu.org/bugs/index.php?func=detailitem&item_id=1418)
                                                                 (Closes: #279900).
  * Bug fix: "make -f '' dumps core", thanks to Peter Maydell    (Closes: #164165).
  * Bug fix: "make: documentation of VPATH does not match behavior",
    thanks to Matthew Swift                                       (Closes: #176639).

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  9 Dec 2005 21:28:14 -0600

make (3.80-12) unstable; urgency=low

  * Bug fix: "FTBFS: DVI file cannot be opened", thanks to Matt Kraai. It
    seemed odd to me that the buildd's do not seem to have a problem. On
    investigation, if one does an apt-get source make,
    ./config/texinfo.tex is still there: merely removing it from my
    working tree does not remove it from the unpacked, patched source
    tree, since diff merely ignores file deletions. I worked for me, since
    the file was actually gone from my working dir; it worked on buildd's,
    since they never remake the arch independent parts. So, now we
    aggressively delete ./config/texinfo.tex all through the build and
    clean process.                                          (Closes: #334953).

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  6 Dec 2005 11:19:45 -0600

make (3.80-11) unstable; urgency=low

  * Bug fix: "make: FTBFS with teTeX-3.0", thanks to Frank Küster. Remove
    the offending file (though not just in the clean target) (Closes: #322353).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 10 Aug 2005 14:09:28 -0500

make (3.80-10) unstable; urgency=low

  * Bug fix: "FTBFS: Cannot find HTML documentation", thanks to Matt Kraai
                                                           (Closes: #317859).
  * Bug fix: "make: [INTL:de] German PO file corrections", thanks to Jens
    Seidel                                                 (Closes: #313988).
  * Bug fix: "make: broken reference in info documentation", thanks to
    Jason McCarty                                          (Closes: #286766).
  * Bug fix: "make: eval function within 'ifeq... else... endif' causes
    error", thanks to François Duranleau                   (Closes: #296482).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  7 Aug 2005 08:23:35 -0500

make (3.80-9) unstable; urgency=low

  * Bug fix: "make: reads uninitialized memory", thanks to Steinar
    H. Gunderson                                    (Closes: #260468).
  * Bug fix: "XSI:ism in debian-scripts", thanks to David Weinehall
                                                    (Closes: #257578).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 22 Jul 2004 13:01:45 -0500

make (3.80-8) unstable; urgency=low

  * Bug fix: "make: Explanations file cut off on right", thanks to Ross
    Boylan                                             (Closes: #253357).
  * Removed the old dwww/menu entry. Now we use the preferred doc-base
    registration method.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 23 Jun 2004 00:19:49 -0500

make (3.80-7) unstable; urgency=low

  * Bug fix: "make: some options missing from manpage", thanks to Martin
    Pool. This also was previously raised in #233474. I added a note to
    the man page stating that the list of options is a partial list, and
    pointed to the info docs for an authoritative list. (Closes: #243845).
  * Bug fix: "make: German l10n: Updating po/de.po", thanks to Florian
    Ernst                                               (Closes: #244119).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Apr 2004 16:32:07 -0500

make (3.80-6) unstable; urgency=low

  * make_3.80-5(ia64/unstable): FTBFS: missing build-depends?, Actually,
    no. I got bitten by the non support of build-deps-indep again. I have
    now duplicated the indep dependencies into build depends, so this
    should now work. 
  * Added an explanation for the behaviour of make, which demonstrates
    that the dry-run of double colon rules and the behaviour of multi
    target rules is expected behaviour. 
  * Bug fix: "make: strange behavior with multi-target rules", thanks to
    Ian Zimmerman. Not a bug, as documented in the explanations file
    referred to above.                                  (Closes: #218367).
  * Bug fix: "dry-run of double-colon rules?", thanks to Fumitoshi UKAI

