=== debian/control ===
Source: make
Section: devel
Priority: standard
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.6.2.0
Build-Depends-Indep: tetex-bin, texi2html (>= 1.76-1)
Build-Depends: gettext, texinfo, tetex-bin, texi2html (>= 1.76-1)

Package: make
Section: devel
Priority: standard
Architecture: any
Description: The GNU version of the "make" utility.
 GNU Make is a program that determines which pieces of a large
 program need to be recompiled and issues the commands to recompile
 them, when necessary. More information about GNU Make can be
 found in the `make' Info page. The upstream sources for this package
 are available at the location ftp://ftp.gnu.org/gnu/make/
Depends: ${shlibs:Depends}

Package: make-doc
Section: doc
Priority: optional
Architecture: all
Description: Documentation for the GNU version of the "make" utility.
 This package contains the postscript and HTML documentation for GNU
 Make. The upstream sources for this package are available at the location
 ftp://ftp.gnu.org/gnu/make/
Suggests: make
