=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

ftp://ftp.gnu.org/pub/gnu/make/make-(.*)\.tar\.gz
