## make gtfs-0.3

=== requirements.txt ===
Jinja2==2.7.3
MarkupSafe==0.23
Pygments==1.6
Shapely==1.4.0
Sphinx==1.2.3
certifi==14.05.14
docutils==0.12
gnureadline==6.3.3
ipython==2.2.0
nose==1.3.3
numpy==1.8.1
pandas==0.14.1
python-dateutil==2.2
pytz==2014.4
pyzmq==14.3.1
six==1.7.3
tornado==4.0
utm==0.3.1
