## make gtfs-0.4

=== requirements.txt ===
--- 
+++ 
@@ -10,9 +10,11 @@
 nose==1.3.3
 numpy==1.8.1
 pandas==0.14.1
+pkginfo==1.1
 python-dateutil==2.2
 pytz==2014.4
 pyzmq==14.3.1
+requests==2.4.1
 six==1.7.3
 tornado==4.0
 utm==0.3.1
