## make test

=== Makefile ===
TARGET = test
SRC = main.c bob.c sally.c dave.c


OBJFILES = $(SRC:%.c=%.o) $(CPPSRC:%.cpp=%.o) 

CC = gcc
LD = gcc

# Uncommend to enable rs232 debug on USART0
CFLAGS+= -DI_SHOULD_NOT_SEE_THIS

MSG_ASSEMBLING          = "ASM     $<"
MSG_COMPILING           = "CC      $<"

all : bin

bin: $(TARGET)



$(TARGET): $(OBJFILES)
	$(LD) $(LDFLAG) $^ $(LDLIBS) -o $@

%o : %c
	@echo $(MSG_COMPILING)
	@$(CC) -c $(CFLAGS) $(INCDIR) $< -o $@
	


-include $(OBJFILES:.o=.d)


clean:
	rm -f $(TARGET) $(OBJFILES) $(OBJFILES:.o=.d)
