## make var-0.4.0

=== test/Makefile ===

H = hello
W = world
